Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2662 - lilo configuration is wrong
Summary: lilo configuration is wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-08 15:04 UTC by Chris Ricker
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-10 19:30:45 UTC


Attachments (Terms of Use)

Description Chris Ricker 1999-05-08 15:04:40 UTC
I just did a fresh install on a system with two IDE
drives.  I already had a FreeBSD partition on hdb,
which the installer offered to add to the lilo
boot menu.  I did this, and it put the following in the
lilo.conf:

other=/dev/hdb1
	label=freebsd4
	table=/dev/hdb
	map-drive=0x80
	   to = 0x81
	map-drive=0x81
	   to = 0x80


That doesn't work!  It just reports "boot error," then
hangs.  To boot FreeBSD, you just need:

other=/dev/hdb1
	label=freebsd4
	table=/dev/hdb

without the drive-swapping.

This is probably a more generic bug; presumably, your
installer always adds the stuff to swap 0x80 and 0x81
when adding a boot partition on a secondary drive.  The
problem is, that swapping is sometimes necessary (if I
were wanting to boot DOS, for example) and sometimes it
is both unnecessary and won't work (BSD, for example).

later,
chris

Comment 1 Jay Turner 2000-02-10 19:30:59 UTC
This issue is resolved in the 6.1 installer.


Note You need to log in before you can comment on or make changes to this bug.